Firefox часто обновляется и не всегда
разработчики расширений успевают пересобрать расширения под
новую версию. Конечно, лучше дождаться, когда разработчики сами
сделают это, но, если тебе уже совсем невтерпеж, то следуй моим
советам и у тебя все получится.

1. Качаем нужный тебе плагин,
изменяем расширение файла на .zip и распаковываем.
2. Открываем файл install.rdf и находим там секцию вроде этой:

<em:targetApplication>
<Description>
<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
<em:minVersion>1.0</em:minVersion>
<em:maxVersion>2.0</em:maxVersion>
</Description>
</em:targetApplication>

Теперь заменяем значение maxVersion на свое или на более
старшее, например, 4.0, и сохраняем изменения.

3. Запаковываем назад в zip-архив и меняем его расширение на
.xpi.

Все, теперь можно устанавливать расширение, просто перетащи
его в свой Firefox. Но помни: этот метод срабатывает не всегда,
есть расширения, которые просто несовместимы с новыми версиями
Firefox.

Оставить мнение

Check Also

В гостях у чертёнка. FreeBSD глазами линуксоида

Порог вхождения новичка в мир Linux за последние десять-пятнадцать лет ощутимо снизился. О…